%define anolis_release 44
Name:           perl-Font-AFM
Version:        1.20
Release: 	%{anolis_release}%{?dist}
Summary:        Perl interface to Adobe Font Metrics files

License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Font-AFM
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GAAS/Font-AFM-%{version}.tar.gz


BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  font(nimbussans)

%description
Interface to Adobe Font Metrics files

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Font-AFM-%{version}
# We don't have Helvetica, use NimbusSans-Bold.afm instead
sed -i -e 's,Helvetica,NimbusSans-Bold,g' t/afm.t
# Change the expected string width to match NimbusSans-Bold.
# 4558 is a sum of widths of characters from testing 'Gisle Aas' string
# in NimbusSans-Bold - see NimbusSans-Bold.afm for specific character
# length.
sed -i -e 's,4279,4558,g' t/afm.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{__make} test METRICS=%{_fontbasedir}/urw-base35


%files
%{perl_vendorlib}/Font
%{_mandir}/man3/Font*

%files doc
%doc Changes README

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.20-44
- Rebuild for remove inappropriate build dependencies.

* Tue Feb 7 2023 Funda Wang <fundawang@yeah.net> - 1.20-43
- Import package for anolis 23
